/// <summary>
///	Summary description for frmTableEdit.
///	Used to display data from the tables.
/// </summary>
/// <author> Rajesh Pillai</author>
/// <Date> March 2004 </Date>

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using DataLayer;

namespace DBControls
{
	public class frmTableEdit : System.Windows.Forms.Form
	{
		public System.Windows.Forms.DataGrid dgTable;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public frmTableEdit()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(frmTableEdit));
			this.dgTable = new System.Windows.Forms.DataGrid();
			((System.ComponentModel.ISupportInitialize)(this.dgTable)).BeginInit();
			this.SuspendLayout();
			// 
			// dgTable
			// 
			this.dgTable.DataMember = "";
			this.dgTable.Dock = System.Windows.Forms.DockStyle.Fill;
			this.dgTable.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dgTable.Name = "dgTable";
			this.dgTable.Size = new System.Drawing.Size(584, 421);
			this.dgTable.TabIndex = 0;
			this.dgTable.Validated += new System.EventHandler(this.dgTable_Validated);
			
			// 
			// frmTableEdit
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(584, 421);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.dgTable});
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "frmTableEdit";
			this.Text = "Query";
			((System.ComponentModel.ISupportInitialize)(this.dgTable)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion



		/// <summary>
		/// save the data once the datagrid is validated.
		/// This happens in the current case when you close this form.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void dgTable_Validated(object sender, System.EventArgs e)
		{
			SqlDBHandler dbh  =  Connect();
			
			dbh.UpdateDT((DataTable )dgTable.DataSource);

		}

		/// <summary>
		/// connect to the selected database and retrieve the 
		/// connection info.
		/// </summary>
		/// <returns></returns>
		private SqlDBHandler Connect()
		{
			string connectionInfo = this.Tag.ToString();
			//_server + "@" +  _database;	
			string pwd, uid, server, database;
			SqlDBHandler dbh;
			string[] cs = connectionInfo.Split('@');
			
			server = cs[0];
			database= cs[1];
			uid = cs[2];
			pwd = cs[3];
			
			dbh = new SqlDBHandler(server,database,uid,pwd);
			return dbh;
		}
	}
}
